package com.galaxis.manatee.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.ThreadPoolExecutor;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/6/12 8:46 上午
 */
@Configuration
@EnableAsync
public class SpringAsyncConfiguration {

//    @Bean(name = "taskExecutor")
//    public Executor taskExecutor()
//    {
//        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
//        return executor;
//    }
//
//    @Bean(name = "updateExecutor")
//    public Executor updateExecutor()
//    {
//        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
//        executor.setCorePoolSize(3);
//        executor.setMaxPoolSize(50000);
//        executor.setQueueCapacity(100);
//        executor.setThreadNamePrefix("updateExecutor-");
//        executor.initialize();
//        return executor;
//    }
//
//    @Bean(name = "standardExecutor")
//    public Executor standardExecutor()
//    {
//        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
//        executor.setCorePoolSize(3);
//        executor.setMaxPoolSize(50000);
//        executor.setQueueCapacity(100);
//        executor.setThreadNamePrefix("standardExecutor-");
//        executor.initialize();
//        return executor;
//    }

    @Bean("threadPoolTaskExecutor")
    public ThreadPoolTaskExecutor threadPoolTaskExecutor() {
        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
        executor.setCorePoolSize(8);
        executor.setQueueCapacity(1024);
        executor.setMaxPoolSize(64);
        executor.setKeepAliveSeconds(600);
        executor.setThreadNamePrefix("async-task-");
        executor.setWaitForTasksToCompleteOnShutdown(true);
        executor.setRejectedExecutionHandler(new ThreadPoolExecutor.AbortPolicy());
        executor.initialize();
        return executor;
    }
}
