package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.WorkGroupService;
import com.galaxis.manatee.task.ChuanyunFinancialScheduledTask;
import com.galaxis.manatee.task.U9InfoTask;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 日志工时controller
 *
 * @author zcj
 * @version 0.1
 * @date 2021/3/4 3:56 上午
 */
@Slf4j
@RestController
public class ReimbursementController {

    private ChuanyunFinancialScheduledTask chuanyunFinancialScheduledTask;
    private WorkGroupService workGroupService;
    private U9InfoTask u9InfoTask;

    @Autowired
    public void setChuanyunFinancialScheduledTask(ChuanyunFinancialScheduledTask chuanyunFinancialScheduledTask) {
        this.chuanyunFinancialScheduledTask = chuanyunFinancialScheduledTask;
    }

    @Autowired
    public void setWorkGroupService(WorkGroupService workGroupService) {
        this.workGroupService = workGroupService;
    }

    @Autowired
    public void setU9InfoTask(U9InfoTask u9InfoTask) {
        this.u9InfoTask = u9InfoTask;
    }

    /**
     *
     */
    @GetMapping("/test/syncReimbursement")
    public void syncReimbursement() {
        chuanyunFinancialScheduledTask.syncReimbursement();
    }

    /**
     * 汇算工作组人力成本
     */
    @GetMapping("/test/implAllCost")
    public void implAllCost() {
        workGroupService.implAllCost();
    }

    /**
     * 上传工作组人力成本
     */
    @GetMapping("/test/pushToChuanyun")
    public void pushCost() {
        workGroupService.pushToChuanyun();
    }

    /**
     * 保存工作组人力成本至数据库
     */
    @GetMapping("/test/saveLaborCostWg")
    public void saveLaborCostWg() {
        u9InfoTask.saveLaborCostWgTest();
    }



}
