package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.galaxis.manatee.capsule.bo.ChuanyunObject;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.*;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 项目组织架构录入表单
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProjectOrganizationStructureDO extends BasicDO {

    /**
     * 表名
     */
    public static final String SCHEMA_CODE = "D0017898ca51050267c4ac8b31bc961d9f86a14";

    /**
     * 项目编号
     */
    @JsonProperty(value = "F0000001")
    private String projectId;

    /**
     * 项目编号
     */
    @JsonProperty(value = "F0000007")
    private String projectCode;
    /**
     * 项目名称
     */
    @JsonProperty(value = "F0000008")
    private String projectName;

    /**
     * 项目类型
     */
    @JsonProperty(value = "F0000018")
    private String projectType;

    /**
     * 工作组
     */
    @JsonProperty(value = "D001789Ffc523b16e9fc4ec8b4e8a08f1036af91")
    private List<ChuanyunWorkGroupDO> workGroup;


}
