package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode
@Data
@Entity(name = "CHUANYUN_MONTH_LABORCOST_WG")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMonthLaborCostWgDTO{

    @Id
    @GeneratedValue(generator = "idGeneratorChuanyunImplCos")
    @GenericGenerator(name ="idGeneratorChuanyunImplCos" ,strategy="com.galaxis.manatee.capsule.util.GalaxisIdGenerator")
    private Long id;

    private String projectId;

    private String projectCode;

    private String workGroupId;

    private String workGroupName;

    private BigDecimal amount;

    @Transient
    private BigDecimal totalAmount;

    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime logDate;

    private String dataType;

    private String department;
}