package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChuanyunSelfWorkHourDo {

    /**
     * DATE_FORMAT( chuanyun_self_work_hour.day_log_date, '%Y-%m' ) AS dayLogDate,
     * 	SUM( chuanyun_self_work_hour.standard_work_hour ) AS standard_work_hour,
     * 	chuanyun_self_work_hour.user_id,
     * 	chuanyun_self_work_hour.project_id,
     * 	chuanyun_self_work_hour.project_type,
     * 	chuanyun_self_work_hour.STATUS,
     * 	chuanyun_self_work_hour.department_name,
     * 	chuanyun_self_work_hour.department_id
     */

    private String userId;

    private String projectId;

    private String projectType;

    private String departmentId;

    private String departmentName;

    /**
     * 流程状态
     */
    private String status;

    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime dayLogDate;

    private BigDecimal standardWorkHour;


}
